[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoDockClientMsg

Handles a dmDragDock message, when a control has been docked to this site.

## Declaration

Source position: controls.pp line 2235

`protected function TWinControl.DoDockClientMsg(`
`DragDockObject: TDragDockObject;`
`aPosition: TPoint`
`):Boolean; virtual;`

## Description

Called when a control is dropped for docking. Asks the dropped control to Dock itself into this control (adjust HostDockSite etc.). Calls an installed DockManager to adjust the coordinates of the docked control. The Result is always True (unless overridden).